.moodboard {
    padding-bottom: var(--margin-large);
}

.moodboard>* {
    margin: 0;
}

/* espacement par défaut entre blocs */
.moodboard>*+* {
    margin-top: var(--margin-large);
}

/* si un paragraphe suit un paragraphe → 1em */
.moodboard>p+p {
    margin-top: 1em;
}

.moodboard P:first-child {
    padding-top: var(--margin-small);
}

/* ton style paragraphe */
.moodboard p {
    margin-left: auto;
    margin-right: auto;
    width: var(--col-6);
    min-width: 640px;
    font-size: clamp(var(--txt-large), 1.3vw, 30px);
    line-height: 1.4;
}

.moodboard p.mobile {
    display: none;
}

.moodboard .wp-block-gallery {
    gap: 0 !important;
}

.moodboard .three-columns-gallery {
    width: var(--col-11);
    column-gap: var(--col-1) !important;
    row-gap: 0 !important;
    margin-left: auto;
    margin-right: auto;
}

.moodboard .three-columns-gallery figure {
    width: var(--col-3) !important;
}

.moodboard figcaption {
    font-size: var(--txt-small);
    font-weight: var(--fw-light);
    margin-top: 1rem;
    line-height: 1.15;

}


/* ==============================
        MEDIA QUERIES   
================================= */

@media (max-width: 767px) {

    .moodboard {
        padding-bottom: var(--margin-medium);
    }

    .moodboard>* {
        margin: 0;
    }

    /* espacement par défaut entre blocs */
    .moodboard>*+* {
        margin-top: var(--margin-medium);
    }

    /* si un paragraphe suit un paragraphe → 1em */
    .moodboard>p+p {
        margin-top: var(--margin-medium);
    }

    .moodboard P:first-child {
        padding-top: 0;
    }

    .moodboard p {
        display: none;
    }

    .moodboard p.mobile {
        display: block;
        width: var(--col-4);
        min-width: 250px;
        font-size: 3.5vw;
        margin-left: auto;
        margin-right: auto;
    }

    .moodboard .wp-block-gallery {
        flex-direction: column;
    }

    .moodboard .wp-block-gallery.has-nested-images figure.wp-block-image:not(#individual-image) {
        width: auto;
    }

    .moodboard figcaption {
        width: var(--col-3);
        margin: 1rem auto 0 auto;
    }

    /* .moodboard .three-columns-gallery {
        display: none;
    } */

    /* 
    .moodboard-miniatures {
        display: flex !important;
        align-content: center;
        align-items: center !important;
        flex-direction: column;
        width: 100%;
        margin-left: 0;
        margin-right: 0;
    }

    .moodboard-miniatures figure {
        width: var(--col-2) !important;
        margin-left: auto;
        margin-right: auto;
    }

    .moodboard-miniatures figure:nth-child(-n+2) {
        margin-bottom: var(--margin-intermediate) !important;
    } */

    .moodboard .three-columns-gallery {
        display: flex !important;
        align-content: center;
        align-items: center !important;
        flex-direction: column;
        width: 100%;
        margin-left: 0;
        margin-right: 0;
    }

    .moodboard .three-columns-gallery figure {
        width: var(--col-2) !important;
        margin-left: auto;
        margin-right: auto;
    }

    .moodboard .three-columns-gallery figure:nth-child(-n+2) {
        margin-bottom: var(--margin-intermediate) !important;
    }



}